import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.ArrayList;

public class Server implements Runnable {
	private static final int PORT = 1234;
	private ServerSocket serverSocket;
	DataOutputStream dos;
	DataInputStream dis;
	ArrayList<ClientHandler> clients;

	public Server() throws IOException {
		serverSocket = new ServerSocket(PORT);

	}

	@Override
	public void run() {
		while(true) {
			try {

				Socket client = serverSocket.accept();
				ClientHandler cur =  new ClientHandler(client , this);
				clients.add(cur);
				Thread thread = new Thread(cur);
				thread.start();

			} catch (Exception e) {
				System.out.println("error!");
			}
		}
	}

	public static void main(String args[]) {

		try {
			Server server = new Server();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}



